# $Revision: 1.12 $, $Date: 2008/06/24 10:11:14 $
Summary:	Point-to-Point Tunneling Protocol (PPTP) Client
Summary(pl.UTF-8):	Klient protokołu PPTP (Point-to-Point Tunneling Protocol)
Name:		pptp
Version:	1.7.2
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/pptpclient/%{name}-%{version}.tar.gz
# Source0-md5:	4c3d19286a37459a632c7128c92a9857
URL:		http://pptpclient.sourceforge.net/
Requires:	ppp >= 2.4.2
Provides:	pptp-linux
Obsoletes:	pptp-linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client for the proprietary Microsoft Point-to-Point Tunneling
Protocol, PPTP. Allows connection to a PPTP based VPN as used by
employers and some cable and ADSL service providers. Requires MPPE
support in kernel.

%description -l pl.UTF-8
Klient PPTP - własnościowego protokołu Point-to-Point Tunneling
Microsoftu. Umożliwia łączenie z siecami VPN opartymi o PPTP używanymi
przez niektóre firmy oraz dostarczycieli łącz kablowych i ADSL. Wymaga
obsugi MPPE w jądrze.

%prep
%setup -q
%{__sed} -i -e 's/install -o root -m 555 pptp/install -m 755 pptp/' Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/run/pptp

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO USING Documentation
%attr(755,root,root) %{_sbindir}/pptp
%attr(755,root,root) %{_sbindir}/pptpsetup
%{_mandir}/man8/pptp.8*
%{_mandir}/man8/pptpsetup.8*
%dir %attr(750,root,root) %{_localstatedir}/run/pptp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ppp/options.pptp

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pptp.spec,v $
Revision 1.12  2008/06/24 10:11:14  psz
- up to 1.7.2

Revision 1.11  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.9  2006/07/19 08:54:32  qboosh
- unified

Revision 1.8  2006/07/19 08:23:08  vip
- new package name, updated to 1.7.1

Revision 1.7  2005/08/05 13:08:23  adamg
- pass CC

Revision 1.6  2005/03/27 08:44:58  darekr
- reorder; removed INSTALL from %doc

Revision 1.5  2004/08/21 20:05:03  misi3k
- updated to 1.5.0
- rel 1
- added rpm opt flags

Revision 1.4  2004/05/30 13:08:55  qboosh
- pl desc, some cleanups

Revision 1.3  2004/05/29 22:41:52  radek
- fixed pl summary, marked pl desc as TODO

Revision 1.2  2004/05/29 16:48:23  misi3k
- md5

Revision 1.1  2004/05/29 16:38:30  misi3k
- almost raw import, NFY
